package com.example.julian.endlessroll.main.tutorial;

import android.view.LayoutInflater;
import android.view.View;

import com.example.julian.endlessroll.R;
import com.example.julian.endlessroll.main.GameActivity;

import java.util.List;

/**
 * Created by Julian on 24.02.2017.
 */

public class TutorialView implements View.OnClickListener {

    private View layout;
    private View currentView;
    private GameActivity activity;

    private List<BreakPoint> breakPoints;

    public TutorialView(GameActivity activity) {
        this.activity = activity;
        LayoutInflater inflater = LayoutInflater.from(activity);
        layout = inflater.inflate(R.layout.tutorial, null);
        layout.setVisibility(View.GONE);
        layout.setOnClickListener(this);
    }

    public View getLayout() {
        return layout;
    }

    public void show(List<BreakPoint> breakPoints) {
        this.breakPoints = breakPoints;
        showFirstBreakPoint();
    }

    private void showFirstBreakPoint(){
        currentView = layout.findViewById(breakPoints.get(0).getViewId());
        currentView.setVisibility(View.VISIBLE);
        layout.setVisibility(View.VISIBLE);
    }

    @Override
    public void onClick(View v) {
        breakPoints.remove(0);
        if (!breakPoints.isEmpty()) {
            currentView.setVisibility(View.GONE);
            showFirstBreakPoint();
        } else {
            layout.setVisibility(View.GONE);
            currentView.setVisibility(View.GONE);
            activity.onTutorialViewHidden();
        }
    }
}
